function Tartarus:StartActivity()
	print("START! -- Tartarus:StartActivity()!");

	self.Zone = SceneMan.Scene:GetArea("TartarusAntiBugZone");
	
	BASE_PATH = "Tartarus.rte/Scenes/Scripts/"
	LIB_PATH = "Tartarus.rte/Libraries/"

	if TRANSFER_IN_PROGRESS == nil then
		TRANSFER_IN_PROGRESS = false
	end
	
	if not TRANSFER_IN_PROGRESS then
		-- Reset all previouly set scenes and scripts before launch since we're starting clean
		SCENE_TO_LAUNCH = nil
		SCRIPT_TO_LAUNCH = nil
	end

	if SCENE_TO_LAUNCH == nil then
		SCENE_TO_LAUNCH = "TartarusUI"
	end

	if SCRIPT_TO_LAUNCH == nil then
		SCRIPT_TO_LAUNCH = BASE_PATH.."TartarusUI.lua"
	end
	
	TRANSFER_IN_PROGRESS = false
	
	dofile(LIB_PATH.."CF_ConfigLibrary.lua");
	dofile(LIB_PATH.."CF_MissionLibrary.lua");
	dofile(SCRIPT_TO_LAUNCH)
	SceneMan:LoadScene(SCENE_TO_LAUNCH , true)
end
-----------------------------------------------------------------------------------------
-- Pause Activity
-----------------------------------------------------------------------------------------
function Tartarus:PauseActivity(pause)
    print("PAUSE! -- Tartarus:PauseActivity()!");
end
-----------------------------------------------------------------------------------------
-- End Activity
-----------------------------------------------------------------------------------------
function Tartarus:EndActivity()
    print("END! -- Tartarus:EndActivity()!");
end
-----------------------------------------------------------------------------------------
-- Update Activity
-----------------------------------------------------------------------------------------
function Tartarus:UpdateActivity()
	-- print("Mission launcher - Update Once!")
end
